pcl::visualization::PointPickingCallback Class Reference

`#include <pcl/visualization/point_picking_event.h>`

Inheritance diagram for pcl::visualization::PointPickingCallback:

## Public Member Functions

| PointPickingCallback ()
virtual | ~PointPickingCallback ()
| Empty destructor. More...
virtual void | Execute (vtkObject *caller, unsigned long eventid, void *)
int | performSinglePick (vtkRenderWindowInteractor *iren)
int | performSinglePick (vtkRenderWindowInteractor *iren, float &x, float &y, float &z)
int | performAreaPick (vtkRenderWindowInteractor *iren, std::vector< int > &indices)

## Static Public Member Functions

static PointPickingCallback * | New ()

## Detailed Description

Definition at line 52 of file point_picking_event.h.

## Constructor & Destructor Documentation

pcl::visualization::PointPickingCallback::PointPickingCallback | ( |  | ) |

inline

Definition at line 60 of file point_picking_event.h.

virtual pcl::visualization::PointPickingCallback::~PointPickingCallback | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 63 of file point_picking_event.h.

## Member Function Documentation

virtual void pcl::visualization::PointPickingCallback::Execute | ( | vtkObject * | caller,
|  | unsigned long | eventid,
|  | void * |
| ) |  |

virtual

static PointPickingCallback* pcl::visualization::PointPickingCallback::New | ( |  | ) |

inline static

Definition at line 55 of file point_picking_event.h.

int pcl::visualization::PointPickingCallback::performAreaPick | ( | vtkRenderWindowInteractor * | iren,
|  | std::vector< int > & | indices
| ) |  |

int pcl::visualization::PointPickingCallback::performSinglePick | ( | vtkRenderWindowInteractor * | iren | ) |

int pcl::visualization::PointPickingCallback::performSinglePick | ( | vtkRenderWindowInteractor * | iren,
|  | float & | x,
|  | float & | y,
|  | float & | z
| ) |  |

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/visualization/include/pcl/visualization/point_picking_event.h